<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.miaxis.school.mapper.SchoolRegionMapper">

    <resultMap type="SchoolRegion" id="SchoolRegionResult">
        <result property="id"    column="id"    />
        <result property="inscode"    column="inscode"    />
        <result property="seq"    column="seq"    />
        <result property="name"    column="name"    />
        <result property="address"    column="address"    />
        <result property="area"    column="area"    />
        <result property="type"    column="type"    />
        <result property="vehicletype"    column="vehicletype"    />
        <result property="polygon"    column="polygon"    />
        <result property="totalvehnum"    column="totalvehnum"    />
        <result property="curvehnum"    column="curvehnum"    />
        <result property="status"    column="status"    />
        <result property="flag"    column="flag"    />
        <result property="auditDate"    column="audit_date"    />
        <result property="areaCode"    column="area_code"    />
        <result property="poiLon"    column="poi_lon"    />
        <result property="poiLat"    column="poi_lat"    />
        <result property="createTime"    column="create_time"    />
        <result property="updateTime"    column="update_time"    />
    </resultMap>


    <select id="queryRegionList" resultType="com.miaxis.school.domain.SchoolRegion">
        SELECT
        s.`id`,
        s.`name`,
        s.`address`,
        s.`area`,
        s.`type`,
        s.`vehicletype`,
        s.`poi_lon` as poiLon,
        s.`poi_lat` as poiLat,
        s.`flag`,
        s.`create_time` as createTime
        FROM
        school_region s
    </select>


</mapper>
